slepc-3.21.1 2024-04-26
Report Typos and Errors

# STShellGetContext

Returns the user-provided context associated with a shell ST

### Synopsis

    #include "slepcst.h"
    PetscErrorCode STShellGetContext(ST st,void *ctx)

Not Collective

### Input Parameter

| st | - spectral transformation context

### Output Parameter

| ctx | - the user provided context

### Notes

This routine is intended for use within various shell routines

### See Also

STShellSetContext()

### Level

advanced

### Location

src/sys/classes/st/impls/shell/shell.c

### Examples

src/eps/tutorials/ex10.c
src/eps/tutorials/ex35.c
src/eps/tutorials/ex36.c
Index of all ST routines
Table of Contents for all manual pages
Index of all manual pages